Cisco IOS XE 軟體 OSPF LSA 操控 (cisco-sa-20170727-ospf)

high Nessus Plugin ID 131395
新推出!Plugin 嚴重性目前使用 CVSS v3

計算 Plugin 嚴重性已更新為預設使用 CVSS v3 沒有 CVSS v3 評分的 Plugin 會回歸到以 CVSS v2 計算嚴重性。您可在設定下拉式選單中切換顯示嚴重性的喜好設定

Synopsis

遠端裝置缺少供應商提供的安全性修補程式。

描述

根據其自我報告的版本,Cisco IOS XE 軟體受到一個涉及 Open Shortest Path First (OSPF) 路由通訊協定連結狀態公告 (LSA) 資料庫的弱點影響。未經驗證的遠端攻擊者可加以惡意利用:插入特製的 OSPF LSA 第 1 類封包,造成目標路由器排清其路由表,並透過 OSPF AS 網域傳播特製的 OSPF LSA 第 1 類更新,讓攻擊者得以攔截並阻礙流量。攻擊者需先正確地判斷出目標路由器上 LSA 資料庫內的特定參數,才能成功惡意利用此弱點。如需詳細資訊,請參閱隨附的 Cisco BID 和 Cisco 安全性公告。請注意,Nessus 並未測試此問題,而是僅依據應用程式自我報告的版本號碼。

解決方案

升級至 Cisco 錯誤 ID CSCva74756 中提及的相關修正版本。

另請參閱

http://www.nessus.org/u?5c4d1c57

https://bst.cloudapps.cisco.com/bugsearch/bug/CSCva74756

Plugin 詳細資訊

嚴重性: High

ID: 131395

檔案名稱: cisco-sa-20170727-ospf-iosxe.nasl

版本: 1.8

類型: local

系列: CISCO

已發布: 2019/11/27

已更新: 2021/5/6

相依性: cisco_ios_xe_version.nasl

風險資訊

CVSS 評分資料來源: CVE-2017-6770

VPR

風險因素: Medium

分數: 6.5

CVSS v2

風險因素: Medium

基本分數: 4.3

時間分數: 3.2

媒介: AV:A/AC:M/Au:N/C:N/I:P/A:P

時間媒介: E:U/RL:OF/RC:C

CVSS v3

風險因素: High

基本分數: 8.2

時間分數: 7.1

媒介: CVSS:3.0/AV:A/AC:H/PR:N/UI:N/S:C/C:L/I:H/A:H

時間媒介: E:U/RL:O/RC:C

弱點資訊

CPE: cpe:/o:cisco:ios_xe

必要的 KB 項目: Host/Cisco/IOS-XE/Version

可輕鬆利用: No known exploits are available

修補程式發佈日期: 2017/7/27

弱點發布日期: 2017/8/7

參考資訊

CVE: CVE-2017-6770

BID: 100005

CISCO-BUG-ID: CSCva74756

CISCO-SA: cisco-sa-20170727-ospf